---
- name: download docker binary and copy to the server
  hosts: local

  vars:
    path_save: /home/tuong/dev
    path_dest: /home
  tasks:
    - name: "pull image hello and save"
      ansible.builtin.shell: |
        docker pull busybox
        docker save busybox > {{path_save}}/busybox.tar

    - name: "copy tar to remote"
      ansible.builtin.shell: |
        sshpass -p "1" scp {{path_save}}/busybox.tar root@192.168.1.5:{{path_dest}}

- name: unload docker image
  hosts: remote

  vars:
    remote_dest: /home/busybox.tar

  tasks:
    - name: "load docker image"
      ansible.builtin.shell: |
        docker load < {{remote_dest}}
    